# Namespace: dns

## .net.dns

request object structure:

- msgId: {Integer} Unique message ID for the request.
- domain: {String} Remote domain to retrieve the data.
- wait: {Integer} Wait time between requests (milliseconds) - NOT IMPLEMENTED
- callback: {Function} Callback function to receive the number of requests sent.

Source:
  - net/dns.js, line 7

### Methods

#### (static) send(msgId, data, domain, callback)

##### Parameters:

Name | Type | Description
--- | --- | ---
`msgId` |  |
`data` |  |
`domain` |  |
`callback` |  |

Source:
  - net/dns.js, line 27